[RESOLU] Installation impossible de Php5

Votre Apache se cache, votre Pi gémit, votre SoC fume ? La panne quoi ! C'est ici que vous trouverez sans doute une solution... Sinon du réconfort :)

Modérateurs : Francois, maxty01

Répondre
Nono25
Messages : 6
Enregistré le : lun. 2 oct. 2017 10:01

[RESOLU] Installation impossible de Php5

Message par Nono25 » lun. 23 oct. 2017 09:40

Bonjour à tous.
Débutant avec un Raspberry, et Linux, je cherche à installer un serveur Web pour une association. Je m'inspire donc du livre "Raspberry Pi 3 ou Pi Zero".
Début octobre j'ai réussi à installer mon serveur, à partir de NOOBS/Raspbian. J'ai suivi les étapes :
- sudo rpi-update
- sudo apt-get update
- sudo apt-get upgrade
- sudo apt-get dist-upgrade
- sudo apt-get install lighttpd
- sudo apt-get install php5-cgi php5-mysql
- sudo apt-get install mariadb-server.
Tout s'est bien passé, le site est fonctionnel : php, base de données etc.

Pour documenter toutes les étapes afin de conserver un guide d'installation, j'ai tout recommencé.
Mais je n'arrive pas à installer php, la commande sudo apt-get install php5-cgi me renvoie les messages suvant :
Aucune version du paquet php5-cgi n'est disponible, mais il existe dans la base de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète ou qu'il n'est disponible que sur une autre source
E: Le paquet « php5-cgi » n'a pas de version susceptible d'être installée.
J'ai recommencé plusieurs fois, mais j'ai toujours la même erreur.

Merci de m'aider à résoudre ce problème.
Modifié en dernier par Nono25 le mer. 1 nov. 2017 16:04, modifié 1 fois.

domi
Administrateur
Messages : 2595
Enregistré le : mer. 17 sept. 2014 18:12
Localisation : Seine et Marne

Re: Installation impossible de Php5

Message par domi » lun. 23 oct. 2017 19:02

Bonsoir,

Pour ligttpd je crois que pour php5 il te faut "php5-fpm" et "php5"

Code : Tout sélectionner

sudo apt-get install php5-fpm php5
Mais je ne suis pas spécialiste de lighttpd, je suis plutôt sur Apache.

nexen
Raspinaute
Messages : 175
Enregistré le : lun. 29 sept. 2014 13:58

Re: Installation impossible de Php5

Message par nexen » mar. 24 oct. 2017 09:12

Bonjour,

Tu recommence tous depuis une SD vierge ? ou tu refait sur la carte existante ?

Tu as une commande magique sur Linux(et autres ...) qui est history : cela permet de revoir les lignes de commandes utilisée et donc ça aide pour les documentation d'installation :)

La source possible de ton problème sont tes 'apt-get upgrade' & 'apt-get dist-upgrade' car rien ne garanti que depuis ton installation il n'y ai pas eu de modification coté source & dépendance de ta distrib....

Cordialement.

et idem que Domi ... Apache user ;)

Nono25
Messages : 6
Enregistré le : lun. 2 oct. 2017 10:01

Re: Installation impossible de Php5

Message par Nono25 » mer. 25 oct. 2017 15:51

Bonjour,
Merci Domi et Nexen pour vos réponses.
Je pense avoir résolu mon problème : la version Php5 n'est semble-t-il plus disponible avec la distribution Raspbian Strech, elle est remplacée par la version 7.0. J'avais envisagé cette possibilité et tenté d'installer php7-cgi, ce qui se soldait par un échec. En furetant du coté des packages j'ai vu des paquets 'php7.0'. J'ai donc tenté d'installer 'php7.0-cgi' et 'php7.0-mysql' avec succès. Donc ce problème est résolu. Mais ce qui m'étonne c'est que l'installation de Php5 avait fonctionné, et que je n'ai pas essayé d'autre version que la Strech.
Pour info (Nexen), j'ai tout refait : formattage carte SD, copie des fichiers NOOBS, installation, etc dans le but de tout documenter précisément, pour être en mesure de tout reconstruire en cas de problème, et pour qu'un autre que moi puisse le faire, avec le moins de soucis possibles.
Cordialement.

domi
Administrateur
Messages : 2595
Enregistré le : mer. 17 sept. 2014 18:12
Localisation : Seine et Marne

Re: Installation impossible de Php5

Message par domi » mer. 25 oct. 2017 17:36

OK, merci pour le retour.

Pour info, un

Code : Tout sélectionner

sudo apt-cache search php
te donnes tous les paquets concernant PHP, et tu devrais donc trouver les paquets php7.0 ;)

nexen
Raspinaute
Messages : 175
Enregistré le : lun. 29 sept. 2014 13:58

Re: Installation impossible de Php5

Message par nexen » lun. 30 oct. 2017 20:29

Nono,

Tu viens de tomber dans un cas bien courant d'évolution de l'informatique et des releases Débian :) Ils changes les paquets au fur et à mesure des évolutions ....

Ta documentation sera donc parfaite pour 6 mois .... si tu as de la chance .... demains c'est peut-être Mysql qui deviendra MariaDB (j'ai eu le soucis sur du centos dernièrement et sur débian ils ont fait un alias ;) )



Et merci pour ce retour d'information !! Courage à toi

Nono25
Messages : 6
Enregistré le : lun. 2 oct. 2017 10:01

Re: Installation impossible de Php5

Message par Nono25 » mer. 1 nov. 2017 16:04

Bonjour.

Merci à Domi et Nexen pour leurs éclaicissements.
Je passe le sujet en RESOLU.

Cordialement.

Répondre

Retourner vers « En panne ? »